Index: /trunk/appswitch/appswitch/README
===================================================================
--- /trunk/appswitch/appswitch/README	(revision 349)
+++ /trunk/appswitch/appswitch/README	(revision 350)
@@ -1,4 +1,4 @@
-appswitch 1.1d2 [unreleased]
-===============
+appswitch 1.1 [6 November 2007]
+=============
 
 A command-line interface to the Mac OS X process manager.
@@ -12,5 +12,5 @@
 If you use shell scripts to automate Mac OS X applications, you may
 need to switch between applications.  You could use AppleScript via
-osascript(1), but that would take several seconds for the script to
+osascript(1), but that can take several seconds for the script to
 compile and execute - or you could use appswitch, which works almost
 instantly.
@@ -72,7 +72,7 @@
 ---------------
 
-1.1 - unreleased
+1.1   - 6 November 2007
  - switched to Process Manager instead of CPS where possible - slower
-   but more compatible (r. 4808397, 4808400, 5579375)
+   but more compatible (r. 4808397, 4808400)
  - fixed description of -k option: SIGTERM, not SIGINT
  - added -f option
Index: /trunk/appswitch/appswitch/VERSION
===================================================================
--- /trunk/appswitch/appswitch/VERSION	(revision 349)
+++ /trunk/appswitch/appswitch/VERSION	(revision 350)
@@ -1,1 +1,1 @@
-1.1d2
+1.1
Index: /trunk/appswitch/appswitch/appswitch.1
===================================================================
--- /trunk/appswitch/appswitch/appswitch.1	(revision 349)
+++ /trunk/appswitch/appswitch/appswitch.1	(revision 350)
@@ -1,5 +1,5 @@
-.Dd Sun May 16 2004      \" DATE 
+.Dd Tue Nov 6 2007       \" DATE 
 .Dt APPSWITCH 1 LOCAL    \" Program name and manual section number 
-.Os appswitch 1.0.1
+.Os appswitch 1.1
 .Sh NAME
 .Nm appswitch
@@ -7,5 +7,5 @@
 .Sh SYNOPSIS
 .Nm appswitch
-.Op Fl sShHqkKFlLP       \" [-sShHqkKFlLP]
+.Op Fl sShHqkKlLPfF      \" [-sShHqkKlLPfF]
 .Op Fl c Ar creator      \" [-c creator]
 .Op Fl i Ar bundleID     \" [-i bundleID]
@@ -33,6 +33,9 @@
 If you're extremely concerned about the speed of matching, any other
 match method is faster than a match by bundle identifier.
+.It Fl a Ar name
+Match by application name.  This is not a recommended match criterion
+as applications may be renamed at any time.
 .It Fl p Ar pid
-Match by process identifier, a positive integer.
+Match by process identifier (PID), a positive integer.
 .It Ar path
 Match by bundle path.  For packaged applications, this is the package
@@ -58,5 +61,5 @@
 .It Fl k
 Kill (force quit) the application.  Sends the
-.Dv SIGINT
+.Dv SIGTERM
 signal to the application, which the application may
 ignore.  Equivalent to selecting 
@@ -87,6 +90,5 @@
 identifiers appear as -1.
 .It TYPE
-The four-character code identifying the application's type,
-usually 
+The four-character code identifying the process's type, usually
 .Ql APPL
 for most applications or
@@ -97,6 +99,8 @@
 and
 .Ql APPC
-for applications which perform the functions of extensions
-and control panels, respectively.
+for applications which perform the functions of extensions and control
+panels, respectively.  Depending on the Mac OS X version, non-packaged
+applications may appear with no type or the type
+.Ql ???? .
 .It CREA
 The four-character code identifying the application's creator, usable with the
@@ -113,5 +117,6 @@
 remainder of longer application names is not displayed.
 .It PATH
-The path to the application bundle, usable with the
+The path to the application bundle, or to the application executable
+if the application is not packaged, usable with the
 .Ar path
 matching option. This field is truncated to the window width, or to 80
@@ -130,4 +135,7 @@
 and unique identifier for all applications except Classic
 applications.
+.It Fl f
+Switch to the application, bringing only the frontmost window of the
+application to the front.
 .El
 .Ss Actions
@@ -153,15 +161,6 @@
 .Sh BUGS              \" Document known, unremedied bugs
 The
-.Fl F
-option may be unreliable if issued immediately after another show or
-hide command; try inserting a
-.Xr sleep 1
-command before it.
-.Pp
-The
-.Fl q
-option is very slow on Mac OS X 10.2.8 and earlier; this is an
-acknowledged bug in AECreateAppleEvent with no known workaround.
-The bug is fixed in Mac OS X 10.3.
+.Fl S
+option may not work in Mac OS X 10.5 with Spaces enabled.
 .Sh AUTHOR
 .An "Nicholas Riley" Aq appswitch@sabi.net
Index: /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.pbxuser	(revision 349)
+++ /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.pbxuser	(revision 350)
@@ -3,5 +3,5 @@
 	08FB7793FE84155DC02AAC07 /* Project object */ = {
 		activeArchitecture = i386;
-		activeBuildConfigurationName = Development;
+		activeBuildConfigurationName = Deployment;
 		activeExecutable = E1607F090AF3700B001EAB72 /* appswitch */;
 		activeTarget = E1607EF90AF3700B001EAB72 /* appswitch */;
@@ -49,5 +49,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 215940979;
+			PBXPerProjectTemplateStateSaveDate = 216095544;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -470,170 +470,16 @@
 				RubberWindowFrame = "46 125 753 707 0 0 1280 832 ";
 			};
-			PBXWorkspaceStateSaveDate = 215940979;
+			PBXWorkspaceStateSaveDate = 216095544;
 		};
 		perUserProjectItems = {
-			E14A26D70CDEFF8900A5BD78 /* PBXTextBookmark */ = E14A26D70CDEFF8900A5BD78 /* PBXTextBookmark */;
-			E14A26D80CDEFF8900A5BD78 /* PBXTextBookmark */ = E14A26D80CDEFF8900A5BD78 /* PBXTextBookmark */;
-			E14A26E10CDF006A00A5BD78 /* PBXTextBookmark */ = E14A26E10CDF006A00A5BD78 /* PBXTextBookmark */;
-			E14A26F60CDF017100A5BD78 /* PBXTextBookmark */ = E14A26F60CDF017100A5BD78 /* PBXTextBookmark */;
-			E14A26F70CDF017100A5BD78 /* PBXTextBookmark */ = E14A26F70CDF017100A5BD78 /* PBXTextBookmark */;
-			E14A26FD0CDF018800A5BD78 /* PBXTextBookmark */ = E14A26FD0CDF018800A5BD78 /* PBXTextBookmark */;
-			E14A26FE0CDF018800A5BD78 /* PBXTextBookmark */ = E14A26FE0CDF018800A5BD78 /* PBXTextBookmark */;
-			E14A27050CDF02A600A5BD78 /* PBXTextBookmark */ = E14A27050CDF02A600A5BD78 /* PBXTextBookmark */;
-			E14A27180CDF09BD00A5BD78 /* PBXTextBookmark */ = E14A27180CDF09BD00A5BD78 /* PBXTextBookmark */;
-			E14A271A0CDF09BD00A5BD78 /* PBXTextBookmark */ = E14A271A0CDF09BD00A5BD78 /* PBXTextBookmark */;
-			E14A271B0CDF09BD00A5BD78 /* PBXTextBookmark */ = E14A271B0CDF09BD00A5BD78 /* PBXTextBookmark */;
-			E14A271D0CDF0A7200A5BD78 /* PBXTextBookmark */ = E14A271D0CDF0A7200A5BD78 /* PBXTextBookmark */;
-			E14A271E0CDF0A7200A5BD78 /* PBXTextBookmark */ = E14A271E0CDF0A7200A5BD78 /* PBXTextBookmark */;
-			E14A271F0CDF0AF700A5BD78 /* PBXTextBookmark */ = E14A271F0CDF0AF700A5BD78 /* PBXTextBookmark */;
-			E14A27200CDF0B2200A5BD78 /* PBXTextBookmark */ = E14A27200CDF0B2200A5BD78 /* PBXTextBookmark */;
-			E14A27220CDF0B2C00A5BD78 /* PBXBookmark */ = E14A27220CDF0B2C00A5BD78 /* PBXBookmark */;
-			E14A27280CDF0D3300A5BD78 /* PBXTextBookmark */ = E14A27280CDF0D3300A5BD78 /* PBXTextBookmark */;
-			E14A27290CDF0D3300A5BD78 /* PBXTextBookmark */ = E14A27290CDF0D3300A5BD78 /* PBXTextBookmark */;
-			E14A272A0CDF0D3300A5BD78 /* PBXTextBookmark */ = E14A272A0CDF0D3300A5BD78 /* PBXTextBookmark */;
-			E14A272D0CDF0D3300A5BD78 /* PBXTextBookmark */ = E14A272D0CDF0D3300A5BD78 /* PBXTextBookmark */;
-			E14A272E0CDF0D3300A5BD78 /* PBXTextBookmark */ = E14A272E0CDF0D3300A5BD78 /* PBXTextBookmark */;
-			E14A27310CDF0D3300A5BD78 /* PBXTextBookmark */ = E14A27310CDF0D3300A5BD78 /* PBXTextBookmark */;
-			E14A27330CDF0D3300A5BD78 /* PBXTextBookmark */ = E14A27330CDF0D3300A5BD78 /* PBXTextBookmark */;
-			E14A27370CDF0D7700A5BD78 /* PBXTextBookmark */ = E14A27370CDF0D7700A5BD78 /* PBXTextBookmark */;
-			E14A27380CDF0D7700A5BD78 /* PBXTextBookmark */ = E14A27380CDF0D7700A5BD78 /* PBXTextBookmark */;
-			E14A27390CDF0D7700A5BD78 /* PBXTextBookmark */ = E14A27390CDF0D7700A5BD78 /* PBXTextBookmark */;
-			E14A273A0CDF0D7700A5BD78 /* PBXTextBookmark */ = E14A273A0CDF0D7700A5BD78 /* PBXTextBookmark */;
-			E14A273B0CDF0D7700A5BD78 /* PBXTextBookmark */ = E14A273B0CDF0D7700A5BD78 /* PBXTextBookmark */;
-			E14A273C0CDF0D7F00A5BD78 /* PBXTextBookmark */ = E14A273C0CDF0D7F00A5BD78 /* PBXTextBookmark */;
-			E14A273D0CDF0D7F00A5BD78 /* PBXTextBookmark */ = E14A273D0CDF0D7F00A5BD78 /* PBXTextBookmark */;
-			E14A273E0CDF0D7F00A5BD78 /* PBXTextBookmark */ = E14A273E0CDF0D7F00A5BD78 /* PBXTextBookmark */;
-			E14A273F0CDF0D7F00A5BD78 /* PBXTextBookmark */ = E14A273F0CDF0D7F00A5BD78 /* PBXTextBookmark */;
-			E14A27400CDF0D7F00A5BD78 /* PBXTextBookmark */ = E14A27400CDF0D7F00A5BD78 /* PBXTextBookmark */;
-			E14A27420CDF0DA300A5BD78 /* PBXTextBookmark */ = E14A27420CDF0DA300A5BD78 /* PBXTextBookmark */;
-			E14A27430CDF0DA300A5BD78 /* PBXTextBookmark */ = E14A27430CDF0DA300A5BD78 /* PBXTextBookmark */;
-			E14A27440CDF0DA300A5BD78 /* PBXTextBookmark */ = E14A27440CDF0DA300A5BD78 /* PBXTextBookmark */;
-			E14A27450CDF0DA300A5BD78 /* PBXTextBookmark */ = E14A27450CDF0DA300A5BD78 /* PBXTextBookmark */;
-			E14A27460CDF0DA300A5BD78 /* PBXTextBookmark */ = E14A27460CDF0DA300A5BD78 /* PBXTextBookmark */;
-			E14A27490CDF0E4A00A5BD78 /* PBXTextBookmark */ = E14A27490CDF0E4A00A5BD78 /* PBXTextBookmark */;
-			E14A274A0CDF0E4A00A5BD78 /* PBXTextBookmark */ = E14A274A0CDF0E4A00A5BD78 /* PBXTextBookmark */;
-			E14A274B0CDF0E4A00A5BD78 /* PBXTextBookmark */ = E14A274B0CDF0E4A00A5BD78 /* PBXTextBookmark */;
-			E14A274C0CDF0E4A00A5BD78 /* PBXTextBookmark */ = E14A274C0CDF0E4A00A5BD78 /* PBXTextBookmark */;
-			E14A274D0CDF0E4A00A5BD78 /* PBXTextBookmark */ = E14A274D0CDF0E4A00A5BD78 /* PBXTextBookmark */;
-			E14A274F0CDF0E7E00A5BD78 /* PBXTextBookmark */ = E14A274F0CDF0E7E00A5BD78 /* PBXTextBookmark */;
-			E14A27500CDF0E7E00A5BD78 /* PBXTextBookmark */ = E14A27500CDF0E7E00A5BD78 /* PBXTextBookmark */;
-			E14A27510CDF0E7E00A5BD78 /* PBXTextBookmark */ = E14A27510CDF0E7E00A5BD78 /* PBXTextBookmark */;
-			E14A27520CDF0E7E00A5BD78 /* PBXTextBookmark */ = E14A27520CDF0E7E00A5BD78 /* PBXTextBookmark */;
-			E14A27530CDF0E7E00A5BD78 /* PBXTextBookmark */ = E14A27530CDF0E7E00A5BD78 /* PBXTextBookmark */;
-			E14A27540CDF114900A5BD78 /* PBXTextBookmark */ = E14A27540CDF114900A5BD78 /* PBXTextBookmark */;
-			E14A27560CDF114900A5BD78 /* PBXTextBookmark */ = E14A27560CDF114900A5BD78 /* PBXTextBookmark */;
-			E14A27570CDF114900A5BD78 /* PBXTextBookmark */ = E14A27570CDF114900A5BD78 /* PBXTextBookmark */;
-			E14A27590CDF114900A5BD78 /* PBXTextBookmark */ = E14A27590CDF114900A5BD78 /* PBXTextBookmark */;
-			E14A275A0CDF114A00A5BD78 /* PBXTextBookmark */ = E14A275A0CDF114A00A5BD78 /* PBXTextBookmark */;
-			E14A275B0CDF114A00A5BD78 /* PBXTextBookmark */ = E14A275B0CDF114A00A5BD78 /* PBXTextBookmark */;
-			E14A275C0CDF114A00A5BD78 /* PBXTextBookmark */ = E14A275C0CDF114A00A5BD78 /* PBXTextBookmark */;
-			E14A275D0CDF114A00A5BD78 /* PBXTextBookmark */ = E14A275D0CDF114A00A5BD78 /* PBXTextBookmark */;
-			E14A275E0CDF114A00A5BD78 /* PBXTextBookmark */ = E14A275E0CDF114A00A5BD78 /* PBXTextBookmark */;
-			E14A27610CDF14A000A5BD78 /* PBXTextBookmark */ = E14A27610CDF14A000A5BD78 /* PBXTextBookmark */;
-			E14A27620CDF14A000A5BD78 /* PBXTextBookmark */ = E14A27620CDF14A000A5BD78 /* PBXTextBookmark */;
-			E14A27650CDF14A000A5BD78 /* PBXTextBookmark */ = E14A27650CDF14A000A5BD78 /* PBXTextBookmark */;
-			E14A27660CDF14A000A5BD78 /* PBXTextBookmark */ = E14A27660CDF14A000A5BD78 /* PBXTextBookmark */;
-			E14A27670CDF14A000A5BD78 /* PBXTextBookmark */ = E14A27670CDF14A000A5BD78 /* PBXTextBookmark */;
-			E14A27680CDF14A000A5BD78 /* PBXTextBookmark */ = E14A27680CDF14A000A5BD78 /* PBXTextBookmark */;
-			E14A27710CDF14CD00A5BD78 /* PBXTextBookmark */ = E14A27710CDF14CD00A5BD78 /* PBXTextBookmark */;
-			E14A27720CDF14CD00A5BD78 /* PBXTextBookmark */ = E14A27720CDF14CD00A5BD78 /* PBXTextBookmark */;
-			E14A27730CDF14CD00A5BD78 /* PBXTextBookmark */ = E14A27730CDF14CD00A5BD78 /* PBXTextBookmark */;
-			E14A27740CDF14CD00A5BD78 /* PBXTextBookmark */ = E14A27740CDF14CD00A5BD78 /* PBXTextBookmark */;
-			E14A27750CDF14CD00A5BD78 /* PBXTextBookmark */ = E14A27750CDF14CD00A5BD78 /* PBXTextBookmark */;
-			E14A277E0CDF176000A5BD78 /* PBXTextBookmark */ = E14A277E0CDF176000A5BD78 /* PBXTextBookmark */;
-			E14A27850CDF179100A5BD78 /* PBXTextBookmark */ = E14A27850CDF179100A5BD78 /* PBXTextBookmark */;
-			E14A27860CDF179100A5BD78 /* PBXTextBookmark */ = E14A27860CDF179100A5BD78 /* PBXTextBookmark */;
-			E14A27870CDF179100A5BD78 /* PBXTextBookmark */ = E14A27870CDF179100A5BD78 /* PBXTextBookmark */;
-			E14A27880CDF179100A5BD78 /* PBXTextBookmark */ = E14A27880CDF179100A5BD78 /* PBXTextBookmark */;
-			E14A27890CDF179100A5BD78 /* PBXTextBookmark */ = E14A27890CDF179100A5BD78 /* PBXTextBookmark */;
-			E14A278A0CDF179100A5BD78 /* PBXTextBookmark */ = E14A278A0CDF179100A5BD78 /* PBXTextBookmark */;
-			E14A278C0CDF17DA00A5BD78 /* PBXTextBookmark */ = E14A278C0CDF17DA00A5BD78 /* PBXTextBookmark */;
-			E14A278D0CDF17DA00A5BD78 /* PBXTextBookmark */ = E14A278D0CDF17DA00A5BD78 /* PBXTextBookmark */;
-			E14A278E0CDF17DF00A5BD78 /* PBXTextBookmark */ = E14A278E0CDF17DF00A5BD78 /* PBXTextBookmark */;
-			E14A278F0CDF17E200A5BD78 /* PBXTextBookmark */ = E14A278F0CDF17E200A5BD78 /* PBXTextBookmark */;
-			E14A27900CDF17E200A5BD78 /* PBXTextBookmark */ = E14A27900CDF17E200A5BD78 /* PBXTextBookmark */;
-			E14A27910CDF17ED00A5BD78 /* PBXTextBookmark */ = E14A27910CDF17ED00A5BD78 /* PBXTextBookmark */;
-			E14A27960CDF19B300A5BD78 /* PBXTextBookmark */ = E14A27960CDF19B300A5BD78 /* PBXTextBookmark */;
-			E14A27970CDF19B300A5BD78 /* PBXTextBookmark */ = E14A27970CDF19B300A5BD78 /* PBXTextBookmark */;
-			E14A27980CDF19F500A5BD78 /* PBXBookmark */ = E14A27980CDF19F500A5BD78 /* PBXBookmark */;
-			E14A27990CDF19FA00A5BD78 /* PBXBookmark */ = E14A27990CDF19FA00A5BD78 /* PBXBookmark */;
-			E14A279C0CDF1A0700A5BD78 /* PBXTextBookmark */ = E14A279C0CDF1A0700A5BD78 /* PBXTextBookmark */;
-			E14A279D0CDF1A0700A5BD78 /* PBXTextBookmark */ = E14A279D0CDF1A0700A5BD78 /* PBXTextBookmark */;
-			E14A279E0CDF1A0700A5BD78 /* PBXTextBookmark */ = E14A279E0CDF1A0700A5BD78 /* PBXTextBookmark */;
-			E14A27A10CDF1A0700A5BD78 /* PBXTextBookmark */ = E14A27A10CDF1A0700A5BD78 /* PBXTextBookmark */;
-			E14A27A50CDF1ADE00A5BD78 /* PBXTextBookmark */ = E14A27A50CDF1ADE00A5BD78 /* PBXTextBookmark */;
-			E14A27A70CDF1ADE00A5BD78 /* PBXTextBookmark */ = E14A27A70CDF1ADE00A5BD78 /* PBXTextBookmark */;
-			E14A27A90CDF1ADE00A5BD78 /* PBXTextBookmark */ = E14A27A90CDF1ADE00A5BD78 /* PBXTextBookmark */;
-			E14A27AA0CDF1ADE00A5BD78 /* PBXTextBookmark */ = E14A27AA0CDF1ADE00A5BD78 /* PBXTextBookmark */;
-			E14A27AB0CDF1ADE00A5BD78 /* PBXTextBookmark */ = E14A27AB0CDF1ADE00A5BD78 /* PBXTextBookmark */;
-			E14A27AF0CDF1B2600A5BD78 /* PBXTextBookmark */ = E14A27AF0CDF1B2600A5BD78 /* PBXTextBookmark */;
-			E14A27B00CDF1B2600A5BD78 /* PBXTextBookmark */ = E14A27B00CDF1B2600A5BD78 /* PBXTextBookmark */;
-			E14A27B10CDF1B2600A5BD78 /* PBXTextBookmark */ = E14A27B10CDF1B2600A5BD78 /* PBXTextBookmark */;
-			E14A27B20CDF1B2600A5BD78 /* PBXTextBookmark */ = E14A27B20CDF1B2600A5BD78 /* PBXTextBookmark */;
-			E14A27B30CDF1B2600A5BD78 /* PBXTextBookmark */ = E14A27B30CDF1B2600A5BD78 /* PBXTextBookmark */;
-			E14A27B40CDF1B2600A5BD78 /* PBXTextBookmark */ = E14A27B40CDF1B2600A5BD78 /* PBXTextBookmark */;
-			E14A27B50CDF1BB000A5BD78 /* PBXTextBookmark */ = E14A27B50CDF1BB000A5BD78 /* PBXTextBookmark */;
-			E14A27B70CDF1BB400A5BD78 /* PBXTextBookmark */ = E14A27B70CDF1BB400A5BD78 /* PBXTextBookmark */;
-			E14A27B80CDF1BB400A5BD78 /* PBXTextBookmark */ = E14A27B80CDF1BB400A5BD78 /* PBXTextBookmark */;
-			E14A27B90CDF1BB400A5BD78 /* PBXTextBookmark */ = E14A27B90CDF1BB400A5BD78 /* PBXTextBookmark */;
-			E14A27BA0CDF1BB400A5BD78 /* PBXTextBookmark */ = E14A27BA0CDF1BB400A5BD78 /* PBXTextBookmark */;
-			E14A27BB0CDF1C0100A5BD78 /* PBXTextBookmark */ = E14A27BB0CDF1C0100A5BD78 /* PBXTextBookmark */;
-			E14A27BC0CDF1C0100A5BD78 /* PBXTextBookmark */ = E14A27BC0CDF1C0100A5BD78 /* PBXTextBookmark */;
-			E14A27BD0CDF1C0100A5BD78 /* PBXTextBookmark */ = E14A27BD0CDF1C0100A5BD78 /* PBXTextBookmark */;
-			E14A27BE0CDF1C0100A5BD78 /* PBXTextBookmark */ = E14A27BE0CDF1C0100A5BD78 /* PBXTextBookmark */;
-			E14A27BF0CDF1C2000A5BD78 /* PBXTextBookmark */ = E14A27BF0CDF1C2000A5BD78 /* PBXTextBookmark */;
-			E14A27C00CDF1C2000A5BD78 /* PBXTextBookmark */ = E14A27C00CDF1C2000A5BD78 /* PBXTextBookmark */;
-			E14A27C10CDF1C2000A5BD78 /* PBXTextBookmark */ = E14A27C10CDF1C2000A5BD78 /* PBXTextBookmark */;
-			E14A27C20CDF1C2000A5BD78 /* PBXTextBookmark */ = E14A27C20CDF1C2000A5BD78 /* PBXTextBookmark */;
-			E14A27D00CDF1D7000A5BD78 /* PBXTextBookmark */ = E14A27D00CDF1D7000A5BD78 /* PBXTextBookmark */;
-			E14A27D30CDF1D7000A5BD78 /* XCDiffFileBookmark */ = E14A27D30CDF1D7000A5BD78 /* XCDiffFileBookmark */;
-			E14A27D40CDF1D7000A5BD78 /* PBXBookmark */ = E14A27D40CDF1D7000A5BD78 /* PBXBookmark */;
-			E14A27D80CDF1D7000A5BD78 /* XCDiffFileBookmark */ = E14A27D80CDF1D7000A5BD78 /* XCDiffFileBookmark */;
-			E14A27D90CDF1D7000A5BD78 /* PBXBookmark */ = E14A27D90CDF1D7000A5BD78 /* PBXBookmark */;
-			E14A27DB0CDF1D7000A5BD78 /* PBXTextBookmark */ = E14A27DB0CDF1D7000A5BD78 /* PBXTextBookmark */;
-			E14A27DC0CDF1D7000A5BD78 /* PBXTextBookmark */ = E14A27DC0CDF1D7000A5BD78 /* PBXTextBookmark */;
-			E14A27DD0CDF1D7000A5BD78 /* PBXTextBookmark */ = E14A27DD0CDF1D7000A5BD78 /* PBXTextBookmark */;
-			E14A27DF0CDF1E4400A5BD78 /* PBXTextBookmark */ = E14A27DF0CDF1E4400A5BD78 /* PBXTextBookmark */;
-			E14A27E00CDF1E4400A5BD78 /* PBXBookmark */ = E14A27E00CDF1E4400A5BD78 /* PBXBookmark */;
-			E14A27E20CDF1E4400A5BD78 /* PBXBookmark */ = E14A27E20CDF1E4400A5BD78 /* PBXBookmark */;
-			E14A27E40CDF1E4400A5BD78 /* PBXTextBookmark */ = E14A27E40CDF1E4400A5BD78 /* PBXTextBookmark */;
-			E14A27E50CDF1E4400A5BD78 /* PBXTextBookmark */ = E14A27E50CDF1E4400A5BD78 /* PBXTextBookmark */;
-			E14A27E60CDF1E4400A5BD78 /* PBXTextBookmark */ = E14A27E60CDF1E4400A5BD78 /* PBXTextBookmark */;
-			E14A27E80CDF1E5200A5BD78 /* PBXTextBookmark */ = E14A27E80CDF1E5200A5BD78 /* PBXTextBookmark */;
-			E14A27E90CDF1E5200A5BD78 /* PBXBookmark */ = E14A27E90CDF1E5200A5BD78 /* PBXBookmark */;
-			E14A27EB0CDF1E5200A5BD78 /* PBXBookmark */ = E14A27EB0CDF1E5200A5BD78 /* PBXBookmark */;
-			E14A27ED0CDF1E5200A5BD78 /* PBXTextBookmark */ = E14A27ED0CDF1E5200A5BD78 /* PBXTextBookmark */;
-			E14A27EE0CDF1E5200A5BD78 /* PBXTextBookmark */ = E14A27EE0CDF1E5200A5BD78 /* PBXTextBookmark */;
-			E14A27EF0CDF1E5200A5BD78 /* PBXTextBookmark */ = E14A27EF0CDF1E5200A5BD78 /* PBXTextBookmark */;
-			E14A27F10CDF1E5D00A5BD78 /* PBXTextBookmark */ = E14A27F10CDF1E5D00A5BD78 /* PBXTextBookmark */;
-			E14A27F20CDF1E5D00A5BD78 /* PBXBookmark */ = E14A27F20CDF1E5D00A5BD78 /* PBXBookmark */;
-			E14A27F40CDF1E5D00A5BD78 /* PBXBookmark */ = E14A27F40CDF1E5D00A5BD78 /* PBXBookmark */;
-			E14A27F60CDF1E5D00A5BD78 /* PBXTextBookmark */ = E14A27F60CDF1E5D00A5BD78 /* PBXTextBookmark */;
-			E14A27F70CDF1E5D00A5BD78 /* PBXTextBookmark */ = E14A27F70CDF1E5D00A5BD78 /* PBXTextBookmark */;
-			E14A27F80CDF1E5D00A5BD78 /* PBXTextBookmark */ = E14A27F80CDF1E5D00A5BD78 /* PBXTextBookmark */;
-			E14A27FC0CDF1F7100A5BD78 /* PBXTextBookmark */ = E14A27FC0CDF1F7100A5BD78 /* PBXTextBookmark */;
-			E14A27FD0CDF1F7100A5BD78 /* PBXTextBookmark */ = E14A27FD0CDF1F7100A5BD78 /* PBXTextBookmark */;
-			E14A27FE0CDF1F7100A5BD78 /* PBXBookmark */ = E14A27FE0CDF1F7100A5BD78 /* PBXBookmark */;
-			E14A28000CDF1F7100A5BD78 /* PBXBookmark */ = E14A28000CDF1F7100A5BD78 /* PBXBookmark */;
-			E14A28020CDF1F7100A5BD78 /* PBXTextBookmark */ = E14A28020CDF1F7100A5BD78 /* PBXTextBookmark */;
-			E14A28030CDF1F7100A5BD78 /* PBXTextBookmark */ = E14A28030CDF1F7100A5BD78 /* PBXTextBookmark */;
-			E14A28060CDF1F9B00A5BD78 /* PBXTextBookmark */ = E14A28060CDF1F9B00A5BD78 /* PBXTextBookmark */;
-			E14A28070CDF1F9B00A5BD78 /* PBXBookmark */ = E14A28070CDF1F9B00A5BD78 /* PBXBookmark */;
-			E14A28090CDF1F9B00A5BD78 /* PBXBookmark */ = E14A28090CDF1F9B00A5BD78 /* PBXBookmark */;
-			E14A280B0CDF1F9B00A5BD78 /* PBXTextBookmark */ = E14A280B0CDF1F9B00A5BD78 /* PBXTextBookmark */;
-			E14A280C0CDF1F9B00A5BD78 /* PBXTextBookmark */ = E14A280C0CDF1F9B00A5BD78 /* PBXTextBookmark */;
-			E14A280E0CDF203F00A5BD78 /* PBXBookmark */ = E14A280E0CDF203F00A5BD78 /* PBXBookmark */;
-			E14A28100CDF206E00A5BD78 /* PBXTextBookmark */ = E14A28100CDF206E00A5BD78 /* PBXTextBookmark */;
-			E14A28110CDF206E00A5BD78 /* PBXTextBookmark */ = E14A28110CDF206E00A5BD78 /* PBXTextBookmark */;
-			E14A28140CDF206E00A5BD78 /* PBXTextBookmark */ = E14A28140CDF206E00A5BD78 /* PBXTextBookmark */;
-			E14A28150CDF206E00A5BD78 /* PBXBookmark */ = E14A28150CDF206E00A5BD78 /* PBXBookmark */;
-			E14A28170CDF206E00A5BD78 /* PBXBookmark */ = E14A28170CDF206E00A5BD78 /* PBXBookmark */;
-			E14A28190CDF206E00A5BD78 /* PBXTextBookmark */ = E14A28190CDF206E00A5BD78 /* PBXTextBookmark */;
-			E14A28210CDF20F700A5BD78 /* PBXTextBookmark */ = E14A28210CDF20F700A5BD78 /* PBXTextBookmark */;
-			E14A28220CDF20F700A5BD78 /* PBXBookmark */ = E14A28220CDF20F700A5BD78 /* PBXBookmark */;
-			E14A28240CDF20F700A5BD78 /* PBXTextBookmark */ = E14A28240CDF20F700A5BD78 /* PBXTextBookmark */;
-			E14A28250CDF20F700A5BD78 /* PBXTextBookmark */ = E14A28250CDF20F700A5BD78 /* PBXTextBookmark */;
-			E14A28340CDF227400A5BD78 /* XCDiffFileBookmark */ = E14A28340CDF227400A5BD78 /* XCDiffFileBookmark */;
-			E14A28350CDF227400A5BD78 /* PBXBookmark */ = E14A28350CDF227400A5BD78 /* PBXBookmark */;
+			E1529A180CE15D2F008A50ED /* PBXTextBookmark */ = E1529A180CE15D2F008A50ED /* PBXTextBookmark */;
+			E1529A390CE167D7008A50ED /* XCDiffFileBookmark */ = E1529A390CE167D7008A50ED /* XCDiffFileBookmark */;
+			E1529A3A0CE167D7008A50ED /* PBXBookmark */ = E1529A3A0CE167D7008A50ED /* PBXBookmark */;
+			E1529A3E0CE167D7008A50ED /* XCDiffFileBookmark */ = E1529A3E0CE167D7008A50ED /* XCDiffFileBookmark */;
+			E1529A3F0CE167D7008A50ED /* PBXBookmark */ = E1529A3F0CE167D7008A50ED /* PBXBookmark */;
+			E1529A460CE168B3008A50ED /* PBXBookmark */ = E1529A460CE168B3008A50ED /* PBXBookmark */;
+			E1529A480CE168B3008A50ED /* PBXBookmark */ = E1529A480CE168B3008A50ED /* PBXBookmark */;
+			E1AC50020CE14E3400EAF6A0 = E1AC50020CE14E3400EAF6A0 /* PBXBookmark */;
+			E1AC50080CE15B2A00EAF6A0 = E1AC50080CE15B2A00EAF6A0 /* PBXTextBookmark */;
 		};
 		sourceControlManager = E18A0A29063362FF008DC67C /* Source Control */;
@@ -643,1618 +489,72 @@
 	08FB7796FE84155DC02AAC07 /* main.c */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {758, 5434}}";
-			sepNavSelRange = "{18618, 0}";
-			sepNavVisRange = "{17632, 3183}";
+			sepNavIntBoundsRect = "{{0, 0}, {758, 5654}}";
+			sepNavSelRange = "{1771, 0}";
+			sepNavVisRange = "{0, 3036}";
 			sepNavVisRect = "{{0, 853}, {837, 587}}";
-			sepNavWindowFrame = "{{45, 224}, {817, 930}}";
+			sepNavWindowFrame = "{{787, 212}, {817, 930}}";
 		};
 	};
 	C6859E970290921104C91782 /* appswitch.1 */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {771, 1837}}";
-			sepNavSelRange = "{121, 0}";
-			sepNavVisRange = "{0, 2535}";
+			sepNavIntBoundsRect = "{{0, 0}, {771, 1859}}";
+			sepNavSelRange = "{4781, 0}";
+			sepNavVisRange = "{3293, 2332}";
 			sepNavVisRect = "{{0, 1494}, {530, 533}}";
-			sepNavWindowFrame = "{{222, 158}, {830, 826}}";
-		};
-	};
-	E14A26D70CDEFF8900A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "warning: passing argument 1 of 'CPSPostShowAllReq' from incompatible pointer type";
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		rLen = 1;
-		rLoc = 463;
-		rType = 1;
-	};
-	E14A26D80CDEFF8900A5BD78 /* PBXTextBookmark */ = {
+			sepNavWindowFrame = "{{970, 297}, {830, 826}}";
+		};
+	};
+	E1529A180CE15D2F008A50ED /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 433";
-		rLen = 87;
-		rLoc = 19845;
+		name = "main.c: 435";
+		rLen = 0;
+		rLoc = 18354;
 		rType = 0;
-		vrLen = 2063;
-		vrLoc = 16910;
-	};
-	E14A26E10CDF006A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 433";
-		rLen = 87;
-		rLoc = 19845;
-		rType = 0;
-		vrLen = 2048;
-		vrLoc = 16910;
-	};
-	E14A26F60CDF017100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "warning: passing argument 1 of 'CPSPostShowAllReq' from incompatible pointer type";
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		rLen = 1;
-		rLoc = 463;
-		rType = 1;
-	};
-	E14A26F70CDF017100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 433";
-		rLen = 87;
-		rLoc = 19845;
-		rType = 0;
-		vrLen = 2146;
-		vrLoc = 16760;
-	};
-	E14A26FD0CDF018800A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		rLen = 0;
-		rLoc = 309;
-		rType = 1;
-	};
-	E14A26FE0CDF018800A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 320";
-		rLen = 22;
-		rLoc = 12811;
-		rType = 0;
-		vrLen = 3452;
-		vrLoc = 11973;
-	};
-	E14A27050CDF02A600A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 345";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 3027;
-		vrLoc = 11413;
-	};
-	E14A27180CDF09BD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 305";
-		rLen = 0;
-		rLoc = 12791;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A271A0CDF09BD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		rLen = 1;
-		rLoc = 128;
-		rType = 1;
-	};
-	E14A271B0CDF09BD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 400";
-		rLen = 0;
-		rLoc = 17695;
-		rType = 0;
-		vrLen = 3259;
-		vrLoc = 14361;
-	};
-	E14A271D0CDF0A7200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 305";
-		rLen = 0;
-		rLoc = 12791;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A271E0CDF0A7200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 394";
-		rLen = 0;
-		rLoc = 17333;
-		rType = 0;
-		vrLen = 3406;
-		vrLoc = 14361;
-	};
-	E14A271F0CDF0AF700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 453";
-		rLen = 87;
-		rLoc = 19845;
-		rType = 0;
-		vrLen = 2540;
-		vrLoc = 13518;
-	};
-	E14A27200CDF0B2200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "warning: passing argument 3 of 'CFStringCreateWithFormat' from incompatible pointer type";
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		rLen = 0;
-		rLoc = 319;
-		rType = 1;
-	};
-	E14A27220CDF0B2C00A5BD78 /* PBXBookmark */ = {
+		vrLen = 3071;
+		vrLoc = 17850;
+	};
+	E1529A390CE167D7008A50ED /* XCDiffFileBookmark */ = {
+		isa = XCDiffFileBookmark;
+		id = "38460393-88EE-46ED-9988-27C111FC6838-35666-00005EBFDB812B3F";
+	};
+	E1529A3A0CE167D7008A50ED /* PBXBookmark */ = {
 		isa = PBXBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-	};
-	E14A27280CDF0D3300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2808;
-		vrLoc = 806;
-	};
-	E14A27290CDF0D3300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 348";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A272A0CDF0D3300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 465";
-		rLen = 0;
-		rLoc = 20311;
-		rType = 0;
-		vrLen = 3119;
-		vrLoc = 17008;
-	};
-	E14A272D0CDF0D3300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		rLen = 0;
-		rLoc = 22;
-		rType = 1;
-	};
-	E14A272E0CDF0D3300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A27310CDF0D3300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27320CDF0D3300A5BD78 /* MacTypes.h */;
-		rLen = 1;
-		rLoc = 462;
-		rType = 1;
-	};
-	E14A27320CDF0D3300A5BD78 /* MacTypes.h */ = {
+		fRef = E1529A3B0CE167D7008A50ED /* README - SCM */;
+	};
+	E1529A3B0CE167D7008A50ED /* README - SCM */ = {
 		isa = PBXFileReference;
-		lastKnownFileType = sourcecode.c.h;
-		name = MacTypes.h;
-		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/MacTypes.h;
-		sourceTree = "<absolute>";
-	};
-	E14A27330CDF0D3300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A27340CDF0D3300A5BD78 /* MacTypes.h */ = {
+		path = "README - SCM";
+		sourceTree = "<group>";
+	};
+	E1529A3E0CE167D7008A50ED /* XCDiffFileBookmark */ = {
+		isa = XCDiffFileBookmark;
+		id = "3C26C1FE-1931-47C8-B7DB-C40B565477E6-35666-00005EBEFF136CD5";
+	};
+	E1529A3F0CE167D7008A50ED /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1529A400CE167D7008A50ED /* appswitch.1 - SCM */;
+	};
+	E1529A400CE167D7008A50ED /* appswitch.1 - SCM */ = {
 		isa = PBXFileReference;
-		lastKnownFileType = sourcecode.c.h;
-		name = MacTypes.h;
-		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/MacTypes.h;
-		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {771, 8351}}";
-			sepNavSelRange = "{19089, 29}";
-			sepNavVisRange = "{17751, 2988}";
-			sepNavWindowFrame = "{{153, 221}, {830, 826}}";
-		};
-	};
-	E14A27370CDF0D7700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2808;
-		vrLoc = 806;
-	};
-	E14A27380CDF0D7700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 348";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27390CDF0D7700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 465";
-		rLen = 0;
-		rLoc = 20311;
-		rType = 0;
-		vrLen = 3146;
-		vrLoc = 16976;
-	};
-	E14A273A0CDF0D7700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A273B0CDF0D7700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A273C0CDF0D7F00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2808;
-		vrLoc = 806;
-	};
-	E14A273D0CDF0D7F00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 348";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A273E0CDF0D7F00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 465";
-		rLen = 0;
-		rLoc = 20311;
-		rType = 0;
-		vrLen = 3119;
-		vrLoc = 16948;
-	};
-	E14A273F0CDF0D7F00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A27400CDF0D7F00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A27420CDF0DA300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2808;
-		vrLoc = 806;
-	};
-	E14A27430CDF0DA300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 348";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27440CDF0DA300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 466";
-		rLen = 0;
-		rLoc = 20311;
-		rType = 0;
-		vrLen = 3119;
-		vrLoc = 16974;
-	};
-	E14A27450CDF0DA300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A27460CDF0DA300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A27490CDF0E4A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2808;
-		vrLoc = 806;
-	};
-	E14A274A0CDF0E4A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 348";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A274B0CDF0E4A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 469";
-		rLen = 0;
-		rLoc = 20311;
-		rType = 0;
-		vrLen = 3467;
-		vrLoc = 15556;
-	};
-	E14A274C0CDF0E4A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A274D0CDF0E4A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A274F0CDF0E7E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2808;
-		vrLoc = 806;
-	};
-	E14A27500CDF0E7E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 348";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27510CDF0E7E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 470";
-		rLen = 0;
-		rLoc = 20311;
-		rType = 0;
-		vrLen = 3467;
-		vrLoc = 15576;
-	};
-	E14A27520CDF0E7E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A27530CDF0E7E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A27540CDF114900A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27550CDF114900A5BD78 /* CFString.h */;
-		name = "CFString.h: 198";
-		rLen = 24;
-		rLoc = 9597;
-		rType = 0;
-		vrLen = 2534;
-		vrLoc = 8228;
-	};
-	E14A27550CDF114900A5BD78 /* CFString.h */ = {
+		path = "appswitch.1 - SCM";
+		sourceTree = "<group>";
+	};
+	E1529A460CE168B3008A50ED /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1529A470CE168B3008A50ED /* README - SCM */;
+	};
+	E1529A470CE168B3008A50ED /* README - SCM */ = {
 		isa = PBXFileReference;
-		name = CFString.h;
-		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFString.h;
-		sourceTree = "<absolute>";
-	};
-	E14A27560CDF114900A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 386";
-		rLen = 24;
-		rLoc = 16603;
-		rType = 0;
-		vrLen = 2691;
-		vrLoc = 14682;
-	};
-	E14A27570CDF114900A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27580CDF114900A5BD78 /* CFString.h */;
-		name = "CFString.h: 198";
-		rLen = 24;
-		rLoc = 9597;
-		rType = 0;
-		vrLen = 2534;
-		vrLoc = 8228;
-	};
-	E14A27580CDF114900A5BD78 /* CFString.h */ = {
+		path = "README - SCM";
+		sourceTree = "<group>";
+	};
+	E1529A480CE168B3008A50ED /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1529A490CE168B3008A50ED /* appswitch.1 - SCM */;
+	};
+	E1529A490CE168B3008A50ED /* appswitch.1 - SCM */ = {
 		isa = PBXFileReference;
-		lastKnownFileType = sourcecode.c.h;
-		name = CFString.h;
-		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFString.h;
-		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {771, 8954}}";
-			sepNavSelRange = "{28902, 109}";
-			sepNavVisRange = "{26506, 3241}";
-			sepNavWindowFrame = "{{881, 120}, {830, 826}}";
-		};
-	};
-	E14A27590CDF114900A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 363";
-		rLen = 0;
-		rLoc = 16462;
-		rType = 0;
-		vrLen = 2440;
-		vrLoc = 14576;
-	};
-	E14A275A0CDF114A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2808;
-		vrLoc = 806;
-	};
-	E14A275B0CDF114A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 323";
-		rLen = 0;
-		rLoc = 13081;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A275C0CDF114A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 448";
-		rLen = 0;
-		rLoc = 20311;
-		rType = 0;
-		vrLen = 3279;
-		vrLoc = 15946;
-	};
-	E14A275D0CDF114A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A275E0CDF114A00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A27610CDF14A000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 477";
-		rLen = 0;
-		rLoc = 20815;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27620CDF14A000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 307";
-		rLen = 4;
-		rLoc = 13077;
-		rType = 0;
-		vrLen = 3390;
-		vrLoc = 11764;
-	};
-	E14A27650CDF14A000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27580CDF114900A5BD78 /* CFString.h */;
-		rLen = 1;
-		rLoc = 331;
-		rType = 1;
-	};
-	E14A27660CDF14A000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27580CDF114900A5BD78 /* CFString.h */;
-		name = "CFString.h: 319";
-		rLen = 33;
-		rLoc = 16195;
-		rType = 0;
-		vrLen = 3118;
-		vrLoc = 15656;
-	};
-	E14A27670CDF14A000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A27680CDF14A000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A27710CDF14CD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 477";
-		rLen = 0;
-		rLoc = 20815;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27720CDF14CD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 318";
-		rLen = 1;
-		rLoc = 13676;
-		rType = 0;
-		vrLen = 3489;
-		vrLoc = 11892;
-	};
-	E14A27730CDF14CD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27580CDF114900A5BD78 /* CFString.h */;
-		name = "CFString.h: 319";
-		rLen = 33;
-		rLoc = 16195;
-		rType = 0;
-		vrLen = 3118;
-		vrLoc = 15656;
-	};
-	E14A27740CDF14CD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A27750CDF14CD00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A277E0CDF176000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "warning: unused variable 'nameWidth'";
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		rLen = 1;
-		rLoc = 318;
-		rType = 1;
-	};
-	E14A27850CDF179100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 306";
-		rLen = 28;
-		rLoc = 13037;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27860CDF179100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 334";
-		rLen = 0;
-		rLoc = 14359;
-		rType = 0;
-		vrLen = 3506;
-		vrLoc = 12266;
-	};
-	E14A27870CDF179100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A0BD3203EFAD9E00050001 /* CPS.h */;
-		name = "CPS.h: 25";
-		rLen = 0;
-		rLoc = 445;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 0;
-	};
-	E14A27880CDF179100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27340CDF0D3300A5BD78 /* MacTypes.h */;
-		name = "MacTypes.h: 463";
-		rLen = 29;
-		rLoc = 19089;
-		rType = 0;
-		vrLen = 2917;
-		vrLoc = 17751;
-	};
-	E14A27890CDF179100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27580CDF114900A5BD78 /* CFString.h */;
-		rLen = 1;
-		rLoc = 548;
-		rType = 1;
-	};
-	E14A278A0CDF179100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27580CDF114900A5BD78 /* CFString.h */;
-		name = "CFString.h: 549";
-		rLen = 109;
-		rLoc = 28902;
-		rType = 0;
-		vrLen = 3230;
-		vrLoc = 26506;
-	};
-	E14A278C0CDF17DA00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "error: 'struct <anonymous>' has no member named 'longlist'";
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		rLen = 0;
-		rLoc = 414;
-		rType = 1;
-	};
-	E14A278D0CDF17DA00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 387";
-		rLen = 0;
-		rLoc = 16901;
-		rType = 0;
-		vrLen = 2114;
-		vrLoc = 16233;
-	};
-	E14A278E0CDF17DF00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 387";
-		rLen = 0;
-		rLoc = 16901;
-		rType = 0;
-		vrLen = 2114;
-		vrLoc = 16233;
-	};
-	E14A278F0CDF17E200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 306";
-		rLen = 28;
-		rLoc = 13037;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27900CDF17E200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 320";
-		rLen = 0;
-		rLoc = 13780;
-		rType = 0;
-		vrLen = 3634;
-		vrLoc = 12138;
-	};
-	E14A27910CDF17ED00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 387";
-		rLen = 0;
-		rLoc = 16901;
-		rType = 0;
-		vrLen = 2114;
-		vrLoc = 16233;
-	};
-	E14A27960CDF19B300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 318";
-		rLen = 28;
-		rLoc = 13037;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A27970CDF19B300A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 375";
-		rLen = 0;
-		rLoc = 15900;
-		rType = 0;
-		vrLen = 3749;
-		vrLoc = 14021;
-	};
-	E14A27980CDF19F500A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-	};
-	E14A27990CDF19FA00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-	};
-	E14A279C0CDF1A0700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A279D0CDF1A0700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 318";
-		rLen = 28;
-		rLoc = 13037;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 0;
-	};
-	E14A279E0CDF1A0700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 28";
-		rLen = 0;
-		rLoc = 1773;
-		rType = 0;
-		vrLen = 2857;
-		vrLoc = 1577;
-	};
-	E14A27A10CDF1A0700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2889;
-		vrLoc = 46;
-	};
-	E14A27A50CDF1ADE00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A60CDF1ADE00A5BD78 /* Processes.h */;
-		rLen = 1;
-		rLoc = 801;
-		rType = 1;
-	};
-	E14A27A60CDF1ADE00A5BD78 /* Processes.h */ = {
-		isa = PBXFileReference;
-		lastKnownFileType = sourcecode.c.h;
-		name = Processes.h;
-		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/Headers/Processes.h;
-		sourceTree = "<absolute>";
-	};
-	E14A27A70CDF1ADE00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27A80CDF1ADE00A5BD78 /* Processes.h */ = {
-		isa = PBXFileReference;
-		lastKnownFileType = sourcecode.c.h;
-		name = Processes.h;
-		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/Headers/Processes.h;
-		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {771, 10144}}";
-			sepNavSelRange = "{27925, 0}";
-			sepNavVisRange = "{26823, 2319}";
-			sepNavWindowFrame = "{{245, 137}, {830, 826}}";
-		};
-	};
-	E14A27A90CDF1ADE00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 439";
-		rLen = 0;
-		rLoc = 18725;
-		rType = 0;
-		vrLen = 3400;
-		vrLoc = 16794;
-	};
-	E14A27AA0CDF1ADE00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2822;
-		vrLoc = 792;
-	};
-	E14A27AB0CDF1ADE00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27AF0CDF1B2600A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 78";
-		rLen = 0;
-		rLoc = 2658;
-		rType = 0;
-		vrLen = 2822;
-		vrLoc = 792;
-	};
-	E14A27B00CDF1B2600A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27B10CDF1B2600A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27B20CDF1B2600A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27B30CDF1B2600A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27B40CDF1B2600A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 439";
-		rLen = 0;
-		rLoc = 18725;
-		rType = 0;
-		vrLen = 3400;
-		vrLoc = 16794;
-	};
-	E14A27B50CDF1BB000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 439";
-		rLen = 0;
-		rLoc = 18725;
-		rType = 0;
-		vrLen = 2112;
-		vrLoc = 16503;
-	};
-	E14A27B70CDF1BB400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 387";
-		rLen = 0;
-		rLoc = 16721;
-		rType = 0;
-		vrLen = 3871;
-		vrLoc = 14112;
-	};
-	E14A27B80CDF1BB400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27B90CDF1BB400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27BA0CDF1BB400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27BB0CDF1C0100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 460";
-		rLen = 0;
-		rLoc = 19778;
-		rType = 0;
-		vrLen = 3198;
-		vrLoc = 17383;
-	};
-	E14A27BC0CDF1C0100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27BD0CDF1C0100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27BE0CDF1C0100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27BF0CDF1C2000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 461";
-		rLen = 0;
-		rLoc = 19822;
-		rType = 0;
-		vrLen = 3269;
-		vrLoc = 17383;
-	};
-	E14A27C00CDF1C2000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27C10CDF1C2000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27C20CDF1C2000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27D00CDF1D7000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 440";
-		rLen = 0;
-		rLoc = 18833;
-		rType = 0;
-		vrLen = 3254;
-		vrLoc = 17383;
-	};
-	E14A27D30CDF1D7000A5BD78 /* XCDiffFileBookmark */ = {
-		isa = XCDiffFileBookmark;
-		id = "FC92E1D7-34BE-4D2B-A225-DC7D879F8514-23114-0000E5334FC47619";
-	};
-	E14A27D40CDF1D7000A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27D50CDF1D7000A5BD78 /* CPS.h - SCM */;
-	};
-	E14A27D50CDF1D7000A5BD78 /* CPS.h - SCM */ = {
-		isa = PBXFileReference;
-		path = "CPS.h - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27D80CDF1D7000A5BD78 /* XCDiffFileBookmark */ = {
-		isa = XCDiffFileBookmark;
-		id = "C21A30A2-78B3-470E-8AD7-C494FB896B3A-23114-0000E52E1DE45AC1";
-	};
-	E14A27D90CDF1D7000A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27DA0CDF1D7000A5BD78 /* main.c - SCM */;
-	};
-	E14A27DA0CDF1D7000A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27DB0CDF1D7000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27DC0CDF1D7000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27DD0CDF1D7000A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27DF0CDF1E4400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 468";
-		rLen = 0;
-		rLoc = 20172;
-		rType = 0;
-		vrLen = 3254;
-		vrLoc = 17383;
-	};
-	E14A27E00CDF1E4400A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27E10CDF1E4400A5BD78 /* main.c - SCM */;
-	};
-	E14A27E10CDF1E4400A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27E20CDF1E4400A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27E30CDF1E4400A5BD78 /* CPS.h - SCM */;
-	};
-	E14A27E30CDF1E4400A5BD78 /* CPS.h - SCM */ = {
-		isa = PBXFileReference;
-		path = "CPS.h - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27E40CDF1E4400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27E50CDF1E4400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27E60CDF1E4400A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27E80CDF1E5200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 449";
-		rLen = 0;
-		rLoc = 19322;
-		rType = 0;
-		vrLen = 3254;
-		vrLoc = 17383;
-	};
-	E14A27E90CDF1E5200A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27EA0CDF1E5200A5BD78 /* main.c - SCM */;
-	};
-	E14A27EA0CDF1E5200A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27EB0CDF1E5200A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27EC0CDF1E5200A5BD78 /* CPS.h - SCM */;
-	};
-	E14A27EC0CDF1E5200A5BD78 /* CPS.h - SCM */ = {
-		isa = PBXFileReference;
-		path = "CPS.h - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27ED0CDF1E5200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27EE0CDF1E5200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27EF0CDF1E5200A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27F10CDF1E5D00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 449";
-		rLen = 0;
-		rLoc = 19322;
-		rType = 0;
-		vrLen = 3254;
-		vrLoc = 17383;
-	};
-	E14A27F20CDF1E5D00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27F30CDF1E5D00A5BD78 /* main.c - SCM */;
-	};
-	E14A27F30CDF1E5D00A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27F40CDF1E5D00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27F50CDF1E5D00A5BD78 /* CPS.h - SCM */;
-	};
-	E14A27F50CDF1E5D00A5BD78 /* CPS.h - SCM */ = {
-		isa = PBXFileReference;
-		path = "CPS.h - SCM";
-		sourceTree = "<group>";
-	};
-	E14A27F60CDF1E5D00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2583;
-		rType = 0;
-		vrLen = 2874;
-		vrLoc = 742;
-	};
-	E14A27F70CDF1E5D00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A27F80CDF1E5D00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A27FC0CDF1F7100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 62";
-		rLen = 0;
-		rLoc = 2706;
-		rType = 0;
-		vrLen = 3151;
-		vrLoc = 425;
-	};
-	E14A27FD0CDF1F7100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 66";
-		rLen = 22;
-		rLoc = 2886;
-		rType = 0;
-		vrLen = 3154;
-		vrLoc = 425;
-	};
-	E14A27FE0CDF1F7100A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A27FF0CDF1F7100A5BD78 /* CPS.h - SCM */;
-	};
-	E14A27FF0CDF1F7100A5BD78 /* CPS.h - SCM */ = {
-		isa = PBXFileReference;
-		path = "CPS.h - SCM";
-		sourceTree = "<group>";
-	};
-	E14A28000CDF1F7100A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A28010CDF1F7100A5BD78 /* main.c - SCM */;
-	};
-	E14A28010CDF1F7100A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A28020CDF1F7100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A28030CDF1F7100A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A28060CDF1F9B00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 66";
-		rLen = 0;
-		rLoc = 2946;
-		rType = 0;
-		vrLen = 3170;
-		vrLoc = 425;
-	};
-	E14A28070CDF1F9B00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A28080CDF1F9B00A5BD78 /* CPS.h - SCM */;
-	};
-	E14A28080CDF1F9B00A5BD78 /* CPS.h - SCM */ = {
-		isa = PBXFileReference;
-		path = "CPS.h - SCM";
-		sourceTree = "<group>";
-	};
-	E14A28090CDF1F9B00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A280A0CDF1F9B00A5BD78 /* main.c - SCM */;
-	};
-	E14A280A0CDF1F9B00A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A280B0CDF1F9B00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = C6859E970290921104C91782 /* appswitch.1 */;
-		name = "appswitch.1: 52";
-		rLen = 9;
-		rLoc = 1950;
-		rType = 0;
-		vrLen = 2535;
-		vrLoc = 0;
-	};
-	E14A280C0CDF1F9B00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A280E0CDF203F00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-	};
-	E14A28100CDF206E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 66";
-		rLen = 0;
-		rLoc = 2946;
-		rType = 0;
-		vrLen = 3170;
-		vrLoc = 425;
-	};
-	E14A28110CDF206E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 478";
-		rLen = 0;
-		rLoc = 20489;
-		rType = 0;
-		vrLen = 3139;
-		vrLoc = 17632;
-	};
-	E14A28140CDF206E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2584;
-		rType = 0;
-		vrLen = 2814;
-		vrLoc = 0;
-	};
-	E14A28150CDF206E00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A28160CDF206E00A5BD78 /* CPS.h - SCM */;
-	};
-	E14A28160CDF206E00A5BD78 /* CPS.h - SCM */ = {
-		isa = PBXFileReference;
-		path = "CPS.h - SCM";
-		sourceTree = "<group>";
-	};
-	E14A28170CDF206E00A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A28180CDF206E00A5BD78 /* main.c - SCM */;
-	};
-	E14A28180CDF206E00A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A28190CDF206E00A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A28210CDF20F700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
-		name = "main.c: 447";
-		rLen = 0;
-		rLoc = 19079;
-		rType = 0;
-		vrLen = 3154;
-		vrLoc = 17632;
-	};
-	E14A28220CDF20F700A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A28230CDF20F700A5BD78 /* main.c - SCM */;
-	};
-	E14A28230CDF20F700A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
-		sourceTree = "<group>";
-	};
-	E14A28240CDF20F700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E16C83CC03F7AF7B00050002 /* README */;
-		name = "README: 76";
-		rLen = 0;
-		rLoc = 2584;
-		rType = 0;
-		vrLen = 2814;
-		vrLoc = 0;
-	};
-	E14A28250CDF20F700A5BD78 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14A27A80CDF1ADE00A5BD78 /* Processes.h */;
-		name = "Processes.h: 799";
-		rLen = 0;
-		rLoc = 27925;
-		rType = 0;
-		vrLen = 2319;
-		vrLoc = 26823;
-	};
-	E14A28340CDF227400A5BD78 /* XCDiffFileBookmark */ = {
-		isa = XCDiffFileBookmark;
-		id = "256BC039-EE85-4E3D-82E5-80D340A7EDC3-23114-0000E633184BD777";
-	};
-	E14A28350CDF227400A5BD78 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E14A28360CDF227400A5BD78 /* main.c - SCM */;
-	};
-	E14A28360CDF227400A5BD78 /* main.c - SCM */ = {
-		isa = PBXFileReference;
-		path = "main.c - SCM";
+		path = "appswitch.1 - SCM";
 		sourceTree = "<group>";
 	};
@@ -2313,6 +613,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {758, 1144}}";
-			sepNavSelRange = "{2584, 0}";
-			sepNavVisRange = "{0, 2814}";
+			sepNavSelRange = "{2790, 0}";
+			sepNavVisRange = "{791, 2830}";
 			sepNavVisRect = "{{0, 0}, {778, 872}}";
 			sepNavWindowFrame = "{{15, 67}, {817, 930}}";
@@ -2342,3 +642,17 @@
 		};
 	};
+	E1AC50020CE14E3400EAF6A0 /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
+	};
+	E1AC50080CE15B2A00EAF6A0 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 08FB7796FE84155DC02AAC07 /* main.c */;
+		name = "main.c: 434";
+		rLen = 0;
+		rLoc = 18561;
+		rType = 0;
+		vrLen = 3446;
+		vrLoc = 16856;
+	};
 }
Index: /trunk/appswitch/appswitch/main.c
===================================================================
--- /trunk/appswitch/appswitch/main.c	(revision 349)
+++ /trunk/appswitch/appswitch/main.c	(revision 350)
@@ -26,5 +26,5 @@
 const char *APP_NAME;
 
-#define VERSION "1.1d2"
+#define VERSION "1.1"
 
 struct {
@@ -72,5 +72,5 @@
 
 void usage() {
-    fprintf(stderr, "usage: %s [-sShHqklLPfF] [-c creator] [-i bundleID] [-a name] [-p pid] [path]\n"
+    fprintf(stderr, "usage: %s [-sShHqkKlLPfF] [-c creator] [-i bundleID] [-a name] [-p pid] [path]\n"
             "  -s            show application, bring windows to front (do not switch)\n"
             "  -S            show all applications\n"
@@ -90,5 +90,5 @@
             "  -a name       match application by name\n"
             , APP_NAME);
-    fprintf(stderr, "appswitch "VERSION" (c) 2003-06 Nicholas Riley <http://web.sabi.net/nriley/software/>.\n"
+    fprintf(stderr, "appswitch "VERSION" (c) 2003-07 Nicholas Riley <http://web.sabi.net/nriley/software/>.\n"
             "Please send bugs, suggestions, etc. to <appswitch@sabi.net>.\n");
 
@@ -431,5 +431,11 @@
     getargs(argc, argv);
 
-    ProcessSerialNumber psn = matchApplication();
+    ProcessSerialNumber psn;
+    
+    // required in Leopard to prevent paramErr - rdar://problem/5579375
+    err = GetCurrentProcess(&psn);
+    if (err != noErr) osstatusexit(err, "can't contact window server");
+    
+    psn = matchApplication();
 
     const char *verb = NULL;
@@ -438,5 +444,4 @@
         case APP_LIST: break; // already handled in matchApplication
         case APP_SWITCH: err = SetFrontProcess(&psn); verb = "set front"; break;
-        // XXX show/hide return paramErr - rdar://problem/5579375 - ask on carbon-dev later
         case APP_SHOW: err = ShowHideProcess(&psn, true); verb = "show"; break;
         case APP_HIDE: err = ShowHideProcess(&psn, false); verb = "hide"; break;
